#include <MDataStd_ShapeStorageDriver.ixx>
#include <PDataStd_Shape.hxx>
#include <TDataStd_Shape.hxx>
#include <CDM_MessageDriver.hxx>

MDataStd_ShapeStorageDriver::MDataStd_ShapeStorageDriver(const Handle(CDM_MessageDriver)& theMsgDriver):MDF_ASDriver(theMsgDriver)
{
}

Standard_Integer MDataStd_ShapeStorageDriver::VersionNumber() const
{ return 0; }

Handle(Standard_Type) MDataStd_ShapeStorageDriver::SourceType() const
{ return STANDARD_TYPE(TDataStd_Shape); }

Handle(PDF_Attribute) MDataStd_ShapeStorageDriver::NewEmpty() const
{ return new PDataStd_Shape; }

//void MDataStd_ShapeStorageDriver::Paste(const Handle(TDF_Attribute)& Source,const Handle(PDF_Attribute)& Target,const Handle(MDF_SRelocationTable)& RelocTable) const
void MDataStd_ShapeStorageDriver::Paste(const Handle(TDF_Attribute)& ,const Handle(PDF_Attribute)& ,const Handle(MDF_SRelocationTable)& ) const
{
}

